import bge
import actionsFSMlist

dict = bge.logic.globalDict
zero_blend = False

def actionPlayer(ac):
	scene = bge.logic.getCurrentScene()
	skater = dict['p1']
	deck = dict['p1d']
	a = getattr(actionsFSMlist.reg_walk, 'name')
	name = getattr(ac, 'name')
	dname = getattr(ac, 'dname')
	start = getattr(ac, 'start')
	end = getattr(ac, 'end')
	dstart = getattr(ac, 'dstart')
	dend = getattr(ac, 'dend')
	layer = getattr(ac, 'layer')
	mode = getattr(ac, 'mode')
	speed = getattr(ac, 'speed')
	blendin = getattr(ac, 'blendin')
	#--------------------------------
	if zero_blend:
		blendin = 0
		print('zeroing blend')
	skater.playAction(name, start,end, layer=layer, play_mode=mode, speed=speed, blendin=blendin)
	deck.playAction(dname, dstart,dend, layer=layer, play_mode=mode, speed=speed, blendin=blendin)
	print('playing', name, get_frame(ac))

def get_frame(ac):
	skater = dict['p1']
	layer = getattr(ac, 'layer')
	print('getting frame', skater.getActionFrame(layer))
	return skater.getActionFrame(layer)

def set_frame(ac, frame):
	skater = dict['p1']
	deck = dict['p1d']
	layer = getattr(ac, 'layer')
	skater.setActionFrame(frame, layer)
	deck.setActionFrame(frame, layer)
	print('setting frame', frame)

def check_exit(aState, rA, timer, ac):
	exits = getattr(ac, 'exits')
	force = getattr(ac, 'force_exit')
	fe = getattr(ac, 'fef')
	if rA in exits:
		return rA
	else:
		return aState

	if force != None and fe >= timer:
		print('doing exit timer')
		return force

def state_timer(own):
	if own['aState'] == own['l_aState']:
		own['stateTimer'] += 1
	else:
		own['stateTimer'] = 0

def check_land(rA, aState, own):

	#check if manualling
	if rA in actionsFSMlist.reg_manuallist or rA in actionsFSMlist.reg_grindlist:
		aState = rA
		own['stateTimer'] = 0
		own['aState'] = rA
	#otherwise, force land, offboard or fliptrick
	elif 'land' in rA or 'onboard' in rA or 'offboard' in rA or rA in actionsFSMlist.reg_fliplist:
		print('landing________________________', rA)
		aState = rA
		own['stateTimer'] = 0
		own['aState'] = rA
	return aState	

def main(cont):
	own = cont.owner
	dict = bge.logic.globalDict

	#initial state
	if 'aState' not in own:
		own['aState'] = 'reg_idle'
		own['l_aState'] = None
		own['stateTimer'] = 0

	
	aState = own['aState']
	rA = own['requestAction']
	timer = own['stateTimer']
	newState = own['aState']
	aState = check_land(rA, aState, own)
	newState = aState
	og_state = own['aState']
	print(aState, 'cur aState')

	if own['l_aState'] in actionsFSMlist.reg_fliplist:
		zero_blend = True

	#-----------------------
	check_state = 'reg_idle'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_idle2'	
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_idle3'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)
	
	check_state = 'reg_idle4'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_idle5'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)
	
	check_state = 'reg_jump'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if own['stateTimer'] > getattr(action, 'fef'):
			newState = check_exit(aState, rA, timer, action)
	
	check_state = 'reg_walk_air'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if aState != rA:
			newState = getattr(action, 'exits')[0]
	
	check_state = 'reg_walk_air_out' 			
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		print(own['stateTimer'], getattr(action, 'fef'))
		if own['stateTimer'] > getattr(action, 'fef'):	
			newState = getattr(action, 'force_exit')

	check_state = 'reg_sit'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		#if own['stateTimer'] < 19:
		if own['stateTimer'] < getattr(action, 'intro_frames'):	
			actionPlayer(getattr(actionsFSMlist, 'intro'))
		else:
			actionPlayer(action)
		newState = check_exit(aState, rA, timer, actionsFSMlist.reg_sit)

	#-----------------------
	check_state = 'reg_walk'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		if own['l_aState'] == 'reg_walkFast':
			frame = get_frame(actionsFSMlist.reg_walkFast)
			actionPlayer(action)
			set_frame(actionsFSMlist.reg_walk, frame)
		else:	
			frame = actionPlayer(action)
		
		newState = check_exit(aState, rA, timer, action)

	#-----------------------
	check_state = 'reg_walkFast'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		newState = check_exit(aState, rA, timer, actionsFSMlist.reg_walkFast)

		if own['l_aState'] == 'reg_walk':
			frame = get_frame(actionsFSMlist.reg_walk)
			actionPlayer(action)
			set_frame(actionsFSMlist.reg_walkFast, frame)

		else:
			actionPlayer(action)
		#print(frame)

	check_state = 'reg_onboard'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		print('checking onbaord state')
		#if own['stateTimer'] > 10:
			#newState = check_exit(aState, rA, timer, actionsFSMlist.reg_onboard)
		if own['stateTimer'] > getattr(action, 'fef'):	
			newState = getattr(action, 'force_exit')			

	check_state = 'reg_offboard'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if own['stateTimer'] > 20:
			newState = check_exit(aState, rA, timer, actionsFSMlist.reg_offboard)			

	check_state = 'reg_roll'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_turnLeft'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)
	
	check_state = 'reg_turnRight'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_opos'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)		
	
	check_state = 'reg_nopos'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)		

	check_state = 'reg_pump'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_pump_left'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)				

	check_state = 'reg_pump_right'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)				


	check_state = 'reg_push'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if own['stateTimer'] > 70:
			newState = 'reg_roll'

	check_state = 'reg_push_goof'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if own['stateTimer'] > 70:
			newState = 'reg_roll'			
	
	check_state = 'reg_powerslide'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		# if own['stateTimer'] < 20:
		# 	actionPlayer(actionsFSMlist.reg_powerslide_in)
		if own['stateTimer'] < getattr(action, 'intro_frames'):	
			intro = getattr(action, 'intro')
			actionPlayer(getattr(actionsFSMlist, intro))	
		else:
			actionPlayer(action)
		newState = check_exit(aState, rA, timer, actionsFSMlist.reg_powerslide)

	check_state = 'reg_fs_powerslide'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		# if own['stateTimer'] < 20:
		# 	actionPlayer(actionsFSMlist.reg_fs_powerslide_in)
		if own['stateTimer'] < getattr(action, 'intro_frames'):	
			intro = getattr(action, 'intro')
			actionPlayer(getattr(actionsFSMlist, intro))	
		else:
			actionPlayer(action)
		newState = check_exit(aState, rA, timer, actionsFSMlist.reg_fs_powerslide)				

	check_state = 'reg_manual'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_nmanual'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_land'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if own['stateTimer'] > getattr(action, 'fef'):	
			newState = getattr(action, 'force_exit')

	check_state = 'reg_landL'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if own['stateTimer'] > getattr(action, 'fef'):	
			newState = getattr(action, 'force_exit')

	check_state = 'reg_landLb'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if own['stateTimer'] > getattr(action, 'fef'):	
			newState = getattr(action, 'force_exit')

	check_state = 'reg_landR'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if own['stateTimer'] > getattr(action, 'fef'):	
			newState = getattr(action, 'force_exit')

	check_state = 'reg_landRb'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if own['stateTimer'] > getattr(action, 'fef'):	
			newState = getattr(action, 'force_exit')												

	check_state = 'reg_air'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_air_nose'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_air_tail'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)				

	check_state = 'reg_ollie'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if own['stateTimer'] > getattr(action, 'fef'):	
			newState = getattr(action, 'force_exit')												

	check_state = 'reg_kickflip'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if own['stateTimer'] > getattr(action, 'fef'):	
			newState = getattr(action, 'force_exit')												

	check_state = 'reg_heelflip'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if own['stateTimer'] > getattr(action, 'fef'):	
			newState = getattr(action, 'force_exit')

	check_state = 'reg_shuvit'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if own['stateTimer'] > getattr(action, 'fef'):	
			newState = getattr(action, 'force_exit')												

	check_state = 'reg_shuvit360'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if own['stateTimer'] > getattr(action, 'fef'):	
			newState = getattr(action, 'force_exit')												

	check_state = 'reg_fsshuvit'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if own['stateTimer'] > getattr(action, 'fef'):	
			newState = getattr(action, 'force_exit')												

	check_state = 'reg_fsshuvit360'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		if own['stateTimer'] > getattr(action, 'fef'):	
			newState = getattr(action, 'force_exit')												

	check_state = 'reg_5050'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_bsboard'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_fsboard'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_tailg'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_tailgr'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_tailgl'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_noseg'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_nosegr'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_nosegl'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_tailslide'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_noseslide'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		actionPlayer(action)
		newState = check_exit(aState, rA, timer, action)






	check_state = 'frontside_grab'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		if own['stateTimer'] < getattr(action, 'intro_frames'):	
			intro = getattr(action, 'intro')
			actionPlayer(getattr(actionsFSMlist, intro))	
		else:
			actionPlayer(action)		
		newState = check_exit(aState, rA, timer, action)

	check_state = 'backside_grab'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		if own['stateTimer'] < getattr(action, 'intro_frames'):	
			intro = getattr(action, 'intro')
			actionPlayer(getattr(actionsFSMlist, intro))	
		else:
			actionPlayer(action)		
		newState = check_exit(aState, rA, timer, action)		
		
	check_state = 'frontside_nose_grab'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		if own['stateTimer'] < getattr(action, 'intro_frames'):	
			intro = getattr(action, 'intro')
			actionPlayer(getattr(actionsFSMlist, intro))	
		else:
			actionPlayer(action)		
		newState = check_exit(aState, rA, timer, action)
	
	check_state = 'backside_nose_grab'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		if own['stateTimer'] < getattr(action, 'intro_frames'):	
			intro = getattr(action, 'intro')
			actionPlayer(getattr(actionsFSMlist, intro))	
		else:
			actionPlayer(action)		
		newState = check_exit(aState, rA, timer, action)
	
	check_state = 'frontside_tail_grab'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		if own['stateTimer'] < getattr(action, 'intro_frames'):	
			intro = getattr(action, 'intro')
			actionPlayer(getattr(actionsFSMlist, intro))	
		else:
			actionPlayer(action)		
		newState = check_exit(aState, rA, timer, action)

	check_state = 'backside_tail_grab'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		if own['stateTimer'] < getattr(action, 'intro_frames'):	
			intro = getattr(action, 'intro')
			actionPlayer(getattr(actionsFSMlist, intro))	
		else:
			actionPlayer(action)		
		newState = check_exit(aState, rA, timer, action)

	check_state = 'reg_ollie_north'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		if own['stateTimer'] < getattr(action, 'intro_frames'):	
			intro = getattr(action, 'intro')
			actionPlayer(getattr(actionsFSMlist, intro))	
		else:
			actionPlayer(action)		
		newState = check_exit(aState, rA, timer, action)		

	check_state = 'reg_ollie_south'
	if aState == check_state:
		action = getattr(actionsFSMlist, check_state)
		if own['stateTimer'] < getattr(action, 'intro_frames'):	
			intro = getattr(action, 'intro')
			actionPlayer(getattr(actionsFSMlist, intro))	
		else:
			actionPlayer(action)		
		newState = check_exit(aState, rA, timer, action)













	#-----------------------
	#own['aState'] = aState
	if newState != '':
		own['aState'] = newState 
	#print(own['l_aState'], '----l_aState', own['aState'])
	own['l_aState'] = og_state
	#own['l_aState'] = newState
	print(own['l_aState'], '----l_aState', own['aState'], 'rA', rA)
	state_timer(own)
