TRANS_LAYER = 12
MAIN_LAYER = 10

reg_fliplist = ['reg_ollie', 'reg_nollie', 'reg_nollie', 'reg_kickflip', 'reg_varial_kickflip', 'reg_nollie_varial_kickflip', 'reg_nollie_varial_heelflip', 'fak_nollie_varial_heelflip', 'reg_varial_heelflip', 'reg_nollie_kickflip',  'reg_heelflip', 'reg_nollie_heelflip', 'reg_shuvit', 'reg_shuvit360', 'reg_fsshuvit360', 'reg_nollie_shuvit', 'fak_nollie_shuvit', 'reg_fsshuvit', 'fak_fsshuvit',  'reg_nollie_fsshuvit', 'reg_nollie_shuvit360', 'reg_nollie_fsshuvit', 'reg_brfoot', 'reg_frfoot', 'reg_blfoot', 'reg_flfoot', 'reg_inward_heelflip', 'reg_hardflip', 'reg_nollie_inward_heelflip', 'reg_nollie_hardflip', 'reg_offboard', 'reg_nollie_fsshuvit_360'] 
fak_fliplist = ['fak_ollie', 'fak_nollie', 'fak_nollie', 'fak_kickflip', 'fak_varial_kickflip', 'fak_nollie_varial_kickflip', 'fak_nollie_varial_heelflip', 'fak_nollie_varial_heelflip', 'fak_varial_heelflip', 'fak_nollie_kickflip',  'fak_heelflip','fak_nollie_heelflip', 'fak_shuvit', 'fak_shuvit360', 'fak_fsshuvit360', 'fak_nollie_shuvit', 'fak_nollie_shuvit', 'fak_fsshuvit', 'fak_fsshuvit',  'fak_nollie_fsshuvit', 'fak_nollie_shuvit360', 'fak_nollie_fsshuvit', 'fak_brfoot', 'fak_frfoot', 'fak_blfoot', 'fak_flfoot', 'fak_inward_heelflip', 'fak_hardflip', 'fak_nollie_inward_heelflip', 'fak_nollie_hardflip', 'fak_offboard', 'fak_nollie_fsshuvit_360']     

reg_manuallist = ['reg_manual', 'reg_nmanual']
reg_grindlist = ['reg_5050', 'reg_fsboard', 'reg_tailg', 'reg_tailgr', 'reg_tailgl', 'reg_noseg', 'reg_nosegr', 'reg_nosegl', 'reg_noseslide', 'reg_tailslide']
class a_class:
	def __init__(self, name, start, end, dname, dstart, dend, layer, speed, mode, blendin, intro, intro_frames, exits, fe, fef):
		self.name = name
		self.start = start
		self.end = end
		self.dname = dname
		self.dstart = dstart
		self.dend = dend
		self.layer = layer
		self.speed = speed
		self.mode = mode
		self.blendin = blendin
		self.intro = intro
		self.intro_frames = intro_frames
		self.exits = exits
		self.force_exit = fe
		self.fef = fef

reg_walk = a_class(
	#player armature action name
	'reg_nwalk', 
	#start frame
	0,           
	#end frame
	35,
	#deck action name 
	'b_reg_walk', 
	#deck start frame
	0, 
	#deck end frame
	35,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	20,
	#intro
	None,
	#number of frames in intro
	0,
	#exits
	['reg_walkFast', 'reg_idle', 'reg_jump', 'reg_onboard', 'reg_idle2', 'reg_idle3', 'reg_idle4', 'reg_walk_air', 'reg_walk_air_out'],
	#force exit
	None,
	#force exit frame
	0)
reg_walkFast = a_class(
	#player armature action name
	'reg_nwalk', 
	#start frame
	0,           
	#end frame
	35,
	#deck action name 
	'b_reg_walk', 
	#deck start frame
	0, 
	#deck end frame
	35,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	0, 
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_walk', 'reg_idle', 'reg_jump', 'reg_onboard'],
	#force exit
	None,
	#force exit frame
	0)

reg_idle = a_class(
	#player armature action name
	'reg_idle1', 
	#start frame
	1,           
	#end frame
	120,
	#deck action name 
	'b_reg_walk', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	20,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_walk', 'reg_idle2', 'reg_idle3', 'reg_idle4', 'reg_idle5', 'reg_jump', 'reg_sit', 'reg_onboard'],
	#force exit
	None,
	#force exit frame
	0)

reg_idle2 = a_class(
	#player armature action name
	'reg_idle2', 
	#start frame
	1,           
	#end frame
	120,
	#deck action name 
	'b_reg_walk', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_walk', 'reg_idle', 'reg_idle3', 'reg_idle4', 'reg_idle5', 'reg_jump', 'reg_onboard'],
	#force exit
	None,
	#force exit frame
	0)

reg_idle3 = a_class(
	#player armature action name
	'reg_idle3', 
	#start frame
	1,           
	#end frame
	120,
	#deck action name 
	'b_reg_walk', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_walk', 'reg_idle2', 'reg_idle', 'reg_idle4', 'reg_idle5', 'reg_jump', 'reg_onboard'],
	#force exit
	None,
	#force exit frame
	0)

reg_idle4 = a_class(
	#player armature action name
	'reg_idle4', 
	#start frame
	1,           
	#end frame
	120,
	#deck action name 
	'b_reg_walk', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_walk', 'reg_idle2', 'reg_idle3', 'reg_idle', 'reg_idle5', 'reg_jump', 'reg_onboard'],
	#force exit
	None,
	#force exit frame
	0)

reg_idle5 = a_class(
	#player armature action name
	'reg_idle5', 
	#start frame
	1,           
	#end frame
	120,
	#deck action name 
	'b_reg_walk', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_walk', 'reg_idle2', 'reg_idle3', 'reg_idle4', 'reg_idle', 'reg_jump', 'reg_onboard'],
	#force exit
	None,
	#force exit frame
	0)

reg_jump = a_class(
	#player armature action name
	'reg_jump', 
	#start frame
	1,           
	#end frame
	10,
	#deck action name 
	'b_reg_jump', 
	#deck start frame
	1, 
	#deck end frame
	10,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_idle', 'reg_walk_air', 'reg_onboard'],
	#force exit
	'reg_walk_air',
	#force exit frame
	20)

reg_walk_air = a_class(
	#player armature action name
	'reg_walk_air', 
	#start frame
	10,           
	#end frame
	10,
	#deck action name 
	'b_reg_jump', 
	#deck start frame
	10, 
	#deck end frame
	10,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	5,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_walk_air_out', 'reg_onboard'],
	#force exit
	None,
	#force exit frame
	0)

reg_walk_air_out = a_class(
	#player armature action name
	'reg_walk_air', 
	#start frame
	10,           
	#end frame
	40,
	#deck action name 
	'b_reg_jump', 
	#deck start frame
	10, 
	#deck end frame
	10,
	#layer
	1,
	#speed
	1.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	5,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_idle', 'reg_walk', 'reg_walkFast', 'reg_onboard'],
	#force exit
	'reg_idle',
	#force exit frame
	10)

reg_sit_in = a_class(
	#player armature action name
	'reg_sit', 
	#start frame
	1,           
	#end frame
	65,
	#deck action name 
	'b_reg_jump', 
	#deck start frame
	1, 
	#deck end frame
	65,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_idle', 'reg_walk'],
	#force exit
	None,
	#force exit frame
	0)

reg_sit = a_class(
	#player armature action name
	'reg_sit', 
	#start frame
	65,           
	#end frame
	65,
	#deck action name 
	'b_reg_jump', 
	#deck start frame
	65, 
	#deck end frame
	65,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_idle', 'reg_walk'],
	#force exit
	None,
	#force exit frame
	0)

reg_onboard = a_class(
	#player armature action name
	'reg_noffboard', 
	#start frame
	20,           
	#end frame
	1,
	#deck action name 
	'b_reg_offboard', 
	#deck start frame
	20, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	5,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll'],
	#force exit
	'reg_roll',
	#force exit frame
	18)

reg_offboard = a_class(
	#player armature action name
	'reg_noffboard', 
	#start frame
	1,           
	#end frame
	40,
	#deck action name 
	'b_reg_offboard', 
	#deck start frame
	1, 
	#deck end frame
	40,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	5,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_idle', 'reg_walkFast', 'reg_walk', 'reg_onboard'],
	#force exit
	None,
	#force exit frame
	0)

reg_roll = a_class(
	#player armature action name
	'nreg', 
	#start frame
	1,           
	#end frame
	60,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	60,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_idle', 'reg_offboard', 'reg_turnLeft', 'reg_turnRight', 'reg_opos', 'reg_nopos', 'reg_pump', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual', 'reg_air', 'reg_air_nose', 'reg_air_tail'],
	#force exit
	None,
	#force exit frame
	0)

reg_turnLeft = a_class(
	#player armature action name
	'nreg_left', 
	#start frame
	10,           
	#end frame
	30,
	#deck action name 
	'b_reg_left', 
	#deck start frame
	10, 
	#deck end frame
	30,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_opos', 'reg_nopos', 'reg_pump', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual', 'reg_offboard', 'reg_air', 'reg_air_nose', 'reg_air_tail'],
	#force exit
	None,
	#force exit frame
	0)

reg_turnRight = a_class(
	#player armature action name
	'nreg_right', 
	#start frame
	10,           
	#end frame
	30,
	#deck action name 
	'b_reg_right', 
	#deck start frame
	10, 
	#deck end frame
	30,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_opos', 'reg_nopos', 'reg_pump', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual', 'reg_offboard', 'reg_air', 'reg_air_nose', 'reg_air_tail'],
	#force exit
	None,
	#force exit frame
	0)


reg_opos = a_class(
	#player armature action name
	'nopos', 
	#start frame
	11,           
	#end frame
	40,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_pump', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual', 'reg_offboard', 'reg_air', 'reg_air_nose', 'reg_air_tail'],
	#force exit
	None,
	#force exit frame
	0)

reg_nopos = a_class(
	#player armature action name
	'nnopos', 
	#start frame
	20,           
	#end frame
	20,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_pump', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual', 'reg_offboard', 'reg_air', 'reg_air_nose', 'reg_air_tail'],
	#force exit
	None,
	#force exit frame
	0)

reg_pump = a_class(
	#player armature action name
	'nopos', 
	#start frame
	20,           
	#end frame
	20,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual', 'reg_offboard', 'reg_pump_left', 'reg_pump_right', 'reg_air', 'reg_air_nose', 'reg_air_tail', 'frontside_grab', 'backside_grab', 'frontside_nose_grab', 'backside_nose_grab', 'frontside_tail_grab', 'backside_tail_grab'],
	#force exit
	None,
	#force exit frame
	0)

reg_pump_left = a_class(
	#player armature action name
	'nreg_pump_left', 
	#start frame
	10,           
	#end frame
	30,
	#deck action name 
	'b_reg_left', 
	#deck start frame
	1, 
	#deck end frame
	10,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual', 'reg_offboard', 'reg_pump', 'reg_pump_right', 'reg_air', 'reg_air_nose', 'reg_air_tail', 'backside_grab', 'frontside_nose_grab', 'backside_nose_grab', 'frontside_tail_grab', 'backside_tail_grab'],
	#force exit
	None,
	#force exit frame
	0)


reg_pump_right = a_class(
	#player armature action name
	'nreg_pump_right', 
	#start frame
	10,           
	#end frame
	30,
	#deck action name 
	'b_reg_right', 
	#deck start frame
	1, 
	#deck end frame
	10,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual', 'reg_offboard', 'reg_pump', 'reg_pump_left', 'reg_air', 'reg_air_nose', 'reg_air_tail', 'backside_grab', 'frontside_nose_grab', 'backside_nose_grab', 'frontside_tail_grab', 'backside_tail_grab'],
	#force exit
	None,
	#force exit frame
	0)

reg_push = a_class(
	#player armature action name
	'reg_push', 
	#start frame
	1,           
	#end frame
	35,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual', 'reg_offboard', 'reg_air', 'reg_air_nose', 'reg_air_tail'],
	#force exit
	None,
	#force exit frame
	0)

reg_push_goof = a_class(
	#player armature action name
	'reg_push_goof', 
	#start frame
	1,           
	#end frame
	35,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual', 'reg_offboard', 'reg_air', 'reg_air_nose', 'reg_air_tail'],
	#force exit
	None,
	#force exit frame
	0)


reg_powerslide_in = a_class(
	#player armature action name
	'nreg_powerslide2', 
	#start frame
	0,           
	#end frame
	20,
	#deck action name 
	'b_reg_powerslide2', 
	#deck start frame
	0, 
	#deck end frame
	20,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos', 'reg_manual', 'reg_nmanual', 'reg_offboard', 'reg_air', 'reg_air_nose', 'reg_air_tail'],
	#force exit
	None,
	#force exit frame
	0)

reg_fs_powerslide_in = a_class(
	#player armature action name
	'nreg_powerslide', 
	#start frame
	0,           
	#end frame
	20,
	#deck action name 
	'b_reg_powerslide', 
	#deck start frame
	0, 
	#deck end frame
	20,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#intro
	'None',
	#intro length
	0,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos', 'reg_manual', 'reg_nmanual', 'reg_offboard', 'reg_air', 'reg_air_nose', 'reg_air_tail'],
	#force exit
	None,
	#force exit frame
	0)

reg_powerslide = a_class(
	#player armature action name
	'nreg_powerslide2', 
	#start frame
	20,           
	#end frame
	20,
	#deck action name 
	'b_reg_powerslide2', 
	#deck start frame
	20, 
	#deck end frame
	20,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#intro
	'reg_powerslide_in',
	#intro length
	20,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos', 'reg_manual', 'reg_nmanual', 'reg_offboard', 'reg_air', 'reg_air_nose', 'reg_air_tail'],
	#force exit
	None,
	#force exit frame
	0)

reg_fs_powerslide = a_class(
	#player armature action name
	'nreg_powerslide', 
	#start frame
	20,           
	#end frame
	20,
	#deck action name 
	'b_reg_powerslide', 
	#deck start frame
	20, 
	#deck end frame
	20,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#intro
	'reg_fs_powerslide_in',
	#intro length
	20,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos', 'reg_manual', 'reg_nmanual', 'reg_offboard', 'reg_air', 'reg_air_nose', 'reg_air_tail'],
	#force exit
	None,
	#force exit frame
	0)


reg_manual = a_class(
	#player armature action name
	'reg_manual', 
	#start frame
	20,           
	#end frame
	20,
	#deck action name 
	'b_reg_manual', 
	#deck start frame
	20, 
	#deck end frame
	20,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos', 'reg_offboard', 'reg_air', 'reg_air_nose', 'reg_air_tail'],
	#force exit
	None,
	#force exit frame
	0)


reg_nmanual = a_class(
	#player armature action name
	'reg_nmanual', 
	#start frame
	20,           
	#end frame
	20,
	#deck action name 
	'b_fak_manual', 
	#deck start frame
	20, 
	#deck end frame
	20,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos', 'reg_offboard', 'reg_air', 'reg_air_nose', 'reg_air_tail'],
	#force exit
	None,
	#force exit frame
	0)

reg_land = a_class(
	#player armature action name
	'reg_land', 
	#start frame
	1,           
	#end frame
	40,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	40,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos', 'reg_offboard'],
	#force exit
	'reg_roll',
	#force exit frame
	20)

reg_landL = a_class(
	#player armature action name
	'reg_landL', 
	#start frame
	1,           
	#end frame
	40,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	40,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos', 'reg_offboard'],
	#force exit
	'reg_roll',
	#force exit frame
	20)

reg_landR = a_class(
	#player armature action name
	'reg_landR', 
	#start frame
	1,           
	#end frame
	40,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	40,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos', 'reg_offboard'],
	#force exit
	'reg_roll',
	#force exit frame
	20)

reg_landLb = a_class(
	#player armature action name
	'reg_landLb', 
	#start frame
	1,           
	#end frame
	40,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	40,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos', 'reg_offboard'],
	#force exit
	'reg_roll',
	#force exit frame
	20)

reg_landRb = a_class(
	#player armature action name
	'reg_landRb', 
	#start frame
	1,           
	#end frame
	40,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	40,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos', 'reg_offboard'],
	#force exit
	'reg_roll',
	#force exit frame
	20)

reg_air = a_class(
	#player armature action name
	'reg_air', 
	#start frame
	1,           
	#end frame
	30,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	30,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_offboard', 'reg_land', 'frontside_grab', 'backside_grab', 'frontside_nose_grab', 'backside_nose_grab', 'frontside_tail_grab', 'backside_tail_grab', 'reg_air_nose', 'reg_air_tail', 'reg_ollie_north', 'reg_ollie_south'],
	#force exit
	None,
	#force exit frame
	0)

reg_air_nose = a_class(
	#player armature action name
	'reg_noseg.002', 
	#start frame
	5,           
	#end frame
	5,
	#deck action name 
	'b_reg_noseg', 
	#deck start frame
	5, 
	#deck end frame
	5,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_offboard', 'reg_land', 'frontside_grab', 'backside_grab', 'frontside_nose_grab', 'backside_nose_grab', 'frontside_tail_grab', 'backside_tail_grab', 'reg_manual', 'reg_nmanual', 'reg_air_tail', 'reg_ollie_north', 'reg_ollie_south'],
	#force exit
	None,
	#force exit frame
	0)

reg_air_tail = a_class(
	#player armature action name
	'reg_tailg.001', 
	#start frame
	35,           
	#end frame
	35,
	#deck action name 
	'b_reg_tailg', 
	#deck start frame
	35, 
	#deck end frame
	35,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_offboard', 'reg_land', 'frontside_grab', 'backside_grab', 'frontside_nose_grab', 'backside_nose_grab', 'frontside_tail_grab', 'backside_tail_grab', 'reg_manual', 'reg_nmanual', 'reg_air_nose', 'reg_ollie_north', 'reg_ollie_south'],
	#force exit
	None,
	#force exit frame
	0)








#**********************#
#*******fliptricks*****#
#**********************#







reg_ollie = a_class(
	#player armature action name
	'reg_ollie', 
	#start frame
	1,           
	#end frame
	20,
	#deck action name 
	'b_reg_ollie', 
	#deck start frame
	1, 
	#deck end frame
	20,
	#layer
	3,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_offboard'],
	#force exit
	'reg_air',
	#force exit frame
	30)


reg_heelflip = a_class(
	#player armature action name
	'reg_heelflip', 
	#start frame
	1,           
	#end frame
	20,
	#deck action name 
	'b_reg_heelflip', 
	#deck start frame
	1, 
	#deck end frame
	20,
	#layer
	3,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_offboard'],
	#force exit
	'reg_air',
	#force exit frame
	30)


reg_kickflip = a_class(
	#player armature action name
	'reg_kickflip', 
	#start frame
	1,           
	#end frame
	20,
	#deck action name 
	'b_reg_kickflip', 
	#deck start frame
	1, 
	#deck end frame
	20,
	#layer
	3,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_offboard'],
	#force exit
	'reg_air',
	#force exit frame
	30)

reg_shuvit = a_class(
	#player armature action name
	'reg_shuvit', 
	#start frame
	1,           
	#end frame
	40,
	#deck action name 
	'b_reg_shuvit', 
	#deck start frame
	1, 
	#deck end frame
	40,
	#layer
	3,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_offboard'],
	#force exit
	'reg_air',
	#force exit frame
	38)

reg_shuvit360 = a_class(
	#player armature action name
	'reg_360shuvit', 
	#start frame
	1,           
	#end frame
	20,
	#deck action name 
	'b_reg_360shuvit', 
	#deck start frame
	1, 
	#deck end frame
	20,
	#layer
	3,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_offboard'],
	#force exit
	'reg_air',
	#force exit frame
	38)

reg_fsshuvit = a_class(
	#player armature action name
	'reg_fsshuvit', 
	#start frame
	1,           
	#end frame
	40,
	#deck action name 
	'b_reg_fsshuvit', 
	#deck start frame
	1, 
	#deck end frame
	40,
	#layer
	3,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_offboard'],
	#force exit
	'reg_air',
	#force exit frame
	38)

reg_fsshuvit360 = a_class(
	#player armature action name
	'reg_360fsshuvit', 
	#start frame
	1,           
	#end frame
	20,
	#deck action name 
	'b_reg_360fsshuvit', 
	#deck start frame
	1, 
	#deck end frame
	20,
	#layer
	3,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_offboard'],
	#force exit
	'reg_air',
	#force exit frame
	38)







#**********************#
#*******grabs**********#
#**********************#








frontside_grab_in = a_class(
	#player armature action name
	'reg_fg', 
	#start frame
	1,           
	#end frame
	10,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.4,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['frontside_grab'],
	#force exit
	'frontside_grab',
	#force exit frame
	20)

frontside_grab = a_class(
	#player armature action name
	'reg_fg', 
	#start frame
	10,           
	#end frame
	30,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	'frontside_grab_in',
	#intro length
	10,
	#exits
	['reg_air'],
	#force exit
	None,
	#force exit frame
	0)

backside_grab_in = a_class(
	#player armature action name
	'reg_bsg2', 
	#start frame
	1,           
	#end frame
	10,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.4,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['backside_grab'],
	#force exit
	'backside_grab',
	#force exit frame
	20)

backside_grab = a_class(
	#player armature action name
	'reg_bsg2', 
	#start frame
	10,           
	#end frame
	30,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	'backside_grab_in',
	#intro length
	10,
	#exits
	['reg_air'],
	#force exit
	None,
	#force exit frame
	0)


frontside_nose_grab_in = a_class(
	#player armature action name
	'frontside_nose_grab', 
	#start frame
	1,           
	#end frame
	10,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.4,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['frontside_nose_grab'],
	#force exit
	'frontside_nose_grab',
	#force exit frame
	20)

frontside_nose_grab = a_class(
	#player armature action name
	'frontside_nose_grab', 
	#start frame
	10,           
	#end frame
	30,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	'frontside_nose_grab_in',
	#intro length
	10,
	#exits
	['reg_air'],
	#force exit
	None,
	#force exit frame
	0)

backside_nose_grab_in = a_class(
	#player armature action name
	'backside_nose_grab', 
	#start frame
	1,           
	#end frame
	10,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.4,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['backside_nose_grab'],
	#force exit
	'backside_nose_grab',
	#force exit frame
	20)

backside_nose_grab = a_class(
	#player armature action name
	'backside_nose_grab', 
	#start frame
	10,           
	#end frame
	30,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	'backside_nose_grab_in',
	#intro length
	10,
	#exits
	['reg_air'],
	#force exit
	None,
	#force exit frame
	0)



frontside_tail_grab_in = a_class(
	#player armature action name
	'frontside_tail_grab', 
	#start frame
	1,           
	#end frame
	10,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.4,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['frontside_tail_grab'],
	#force exit
	'frontside_tail_grab',
	#force exit frame
	20)

frontside_tail_grab = a_class(
	#player armature action name
	'frontside_tail_grab', 
	#start frame
	10,           
	#end frame
	30,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	'frontside_tail_grab_in',
	#intro length
	10,
	#exits
	['reg_air'],
	#force exit
	None,
	#force exit frame
	0)

backside_tail_grab_in = a_class(
	#player armature action name
	'backside_tail_grab', 
	#start frame
	1,           
	#end frame
	10,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.4,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['backside_tail_grab'],
	#force exit
	'backside_tail_grab',
	#force exit frame
	20)

backside_tail_grab = a_class(
	#player armature action name
	'backside_tail_grab', 
	#start frame
	10,           
	#end frame
	30,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#intro
	'backside_tail_grab_in',
	#intro length
	10,
	#exits
	['reg_air'],
	#force exit
	None,
	#force exit frame
	0)

reg_ollie_north_in = a_class(
	#player armature action name
	'reg_ollie_north', 
	#start frame
	1,           
	#end frame
	10,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	5,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_ollie_north'],
	#force exit
	'reg_ollie_north',
	#force exit frame
	20)

reg_ollie_north = a_class(
	#player armature action name
	'reg_ollie_north', 
	#start frame
	10,           
	#end frame
	10,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	5,
	#intro
	'reg_ollie_north',
	#intro length
	10,
	#exits
	['reg_air'],
	#force exit
	None,
	#force exit frame
	0)


reg_ollie_south_in = a_class(
	#player armature action name
	'reg_ollie_south', 
	#start frame
	1,           
	#end frame
	10,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	5,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_ollie_south'],
	#force exit
	'reg_ollie_south',
	#force exit frame
	20)

reg_ollie_south = a_class(
	#player armature action name
	'reg_ollie_south', 
	#start frame
	10,           
	#end frame
	10,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	5,
	#intro
	'reg_ollie_south',
	#intro length
	10,
	#exits
	['reg_air'],
	#force exit
	None,
	#force exit frame
	0)









#**********************#
#*******grinds*********#
#**********************#







reg_5050 = a_class(
	#player armature action name
	'reg_5050', 
	#start frame
	1,           
	#end frame
	30,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_air', 'reg_roll'],
	#force exit
	None,
	#force exit frame
	0)

reg_bsboard = a_class(
	#player armature action name
	'reg_BS_Board2', 
	#start frame
	1,           
	#end frame
	30,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_air', 'reg_roll'],
	#force exit
	None,
	#force exit frame
	0)

reg_fsboard = a_class(
	#player armature action name
	'reg_FS_Board2', 
	#start frame
	1,           
	#end frame
	30,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_air', 'reg_roll'],
	#force exit
	None,
	#force exit frame
	0)

reg_noseg = a_class(
	#player armature action name
	'reg_noseg.002', 
	#start frame
	11,           
	#end frame
	40,
	#deck action name 
	'b_reg_noseg', 
	#deck start frame
	10, 
	#deck end frame
	10,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_air', 'reg_roll'],
	#force exit
	None,
	#force exit frame
	0)

reg_nosegr = a_class(
	#player armature action name
	'reg_nosegR', 
	#start frame
	30,           
	#end frame
	1,
	#deck action name 
	'b_reg_nosegR', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_air', 'reg_roll'],
	#force exit
	None,
	#force exit frame
	0)

reg_nosegl = a_class(
	#player armature action name
	'reg_nosegL', 
	#start frame
	30,           
	#end frame
	1,
	#deck action name 
	'b_reg_nosegL', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_air', 'reg_roll'],
	#force exit
	None,
	#force exit frame
	0)

reg_tailg = a_class(
	#player armature action name
	'reg_tailg.001', 
	#start frame
	30,           
	#end frame
	1,
	#deck action name 
	'b_reg_tailg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_air', 'reg_roll'],
	#force exit
	None,
	#force exit frame
	0)

reg_tailgr = a_class(
	#player armature action name
	'reg_tailgR', 
	#start frame
	30,           
	#end frame
	1,
	#deck action name 
	'b_reg_tailgR', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_air', 'reg_roll'],
	#force exit
	None,
	#force exit frame
	0)

reg_tailgl = a_class(
	#player armature action name
	'reg_tailgL', 
	#start frame
	30,           
	#end frame
	1,
	#deck action name 
	'b_reg_tailgL', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_air', 'reg_roll'],
	#force exit
	None,
	#force exit frame
	0)

reg_tailslide = a_class(
	#player armature action name
	'fak_noses', 
	#start frame
	30,           
	#end frame
	1,
	#deck action name 
	'b_fak_noses', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_air', 'reg_roll'],
	#force exit
	None,
	#force exit frame
	0)

reg_noseslide = a_class(
	#player armature action name
	'fak_tails', 
	#start frame
	30,           
	#end frame
	1,
	#deck action name 
	'b_fak_tails', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#intro
	None,
	#intro length
	0,
	#exits
	['reg_air', 'reg_roll'],
	#force exit
	None,
	#force exit frame
	0)






#******************(((((((((((((((((())))))))))))))))))*************
